#ifndef ANT_LOG_HPP
#define ANT_LOG_HPP

extern int log_to_syslog;
//extern int log_to_stderr;
extern char *log_name;
extern int log_level;

void log(const char *s,...);


#define ALOG_WARN   1   // warnings
#define ALOG_DEBUG  2   // debugging
#define ALOG_DEBUG2 4   // deep debug
#define ALOG_CONF   8   // config loading
#define ALOG_NET    16  // network communications
#define ALOG_EXT    32  // extern modules communications
#define ALOG_SENS   64  // sensors events
#define ALOG_INFO   128 // misc info
#define ALOG_ALL    0xffff

#define LOG(level,x)   if((level&log_level) != 0) log x

#endif
