/***************************************************************************
 *            ant_time.cpp
 *  
 *  Tue Aug 22 16:36:15 2006
 *  Copyright  2006  Sergey Zhumatiy
 *  serg@parallel.ru
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <time.h>
#include <stdio.h>


struct tm        *cur_time;
static char      buffer[24];
time_t           global_time;

/* puts into buffer string like:
   '1993/06/30 21:49:08'
   and returns pointer to it
*/
char *timestamp(void){
  sprintf(buffer,"%4d/%02d/%02d %02d:%02d:%02d",
          cur_time->tm_year+1900,
          cur_time->tm_mon,
          cur_time->tm_mday,
          cur_time->tm_hour,
          cur_time->tm_min,
          cur_time->tm_sec);
  return buffer;
}

void fix_time(void){
  time(&global_time);
  cur_time=localtime(&global_time);
}
