/***************************************************************************
 *
 * This is a part of AntMon project
 *
 *            ant_net.cpp
 *
 *  Tue Jul 31 2007
 *  Copyright  2007  Sergey Zhumatiy
 *  serg@parallel.ru
 ****************************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>


int build_server_socket(unsigned listen_port, int *server_s, int max_serv);
int multi_accept(int *server_s, int nb_server_s,
                 struct sockaddr *addr, socklen_t *len);

int get_names_and_port(int serv_fd, char *shost,
                        int numhosts, char *sport);
