#ifndef ANT_SENS_HPP
#define ANT_SENS_HPP

#include <sys/types.h>
#include <map>

class Ant_agent_module;

class Ant_agent_sensor{
public:

  static map<long int,void *> all;

  long int id;

  char   *name;
  char   *mod_name;
  Ant_agent_module *module;

//  Ant_Sensor_Type type;

  int    active;

  float  value;

  int    is_nan;
  time_t last_time;
  time_t timeout;

  Ant_agent_sensor(){
    mod_name=name=NULL;
    id=0;
    last_time=0;
    is_nan=0;
    active=0;
  };
};

#endif
